Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83986 - Left-handed mouse; character encoding
Summary: Left-handed mouse; character encoding
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhl-ig-x86
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sandra Moore
QA Contact: Tammy Fox
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-10 18:40 UTC by Miloslav Trmac
Modified: 2014-08-04 22:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-24 19:22:44 UTC


Attachments (Terms of Use)

Description Miloslav Trmac 2003-02-10 18:40:17 UTC
Hello,
1)----------------
Section Mouse configuration:
"To configure your mouse to work as a left-handed .... 
 after boot, type gpm -B 321"
(see also bug 64760 ;-)

This is incorrect, as it would attempt to start a second copy of GPM.
This should be done by adding `-B 321' to OPTIONS in /etc/sysconfig/gpm.

Additionaly, this does not affect X (the environment more likely
to be used with a mouse) at all!

anaconda nor redhat-config-mouse provide a left-handed option unfortunately
(? I'm *not* left-handed, so I don't really know how much is it needed).

2)----------------------
In the HTML version,
set your Mozilla default encoding to something other than iso-8859-1
(i.e. iso-8859-2) and see the Booty Loader config section. The
in "Intel(R) Pentium (R)", the (R) is wrong.
This is because the document is in iso-8859-1, but has no
META tag in <HEAD> specifying the character encoding.


Version-Release number of selected component (if applicable):
rhl-ig-x86(EN)-8.0.93-HTML-RHI

Comment 1 Miloslav Trmac 2003-02-12 16:18:53 UTC
Additional note to 1):
Preferences/Mouse (not System Settings/Mouse) does provide a GUI for left-handed
mouse in X.

Comment 2 Tammy Fox 2003-02-14 19:23:34 UTC
In the future, please file one bug per report. 

I am working on the charset meta information in the HTML. Thanks for pointing
that out. I added 
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
to the top, but if I switch encoding for the browser, the registered trademarks
still show up as ?. The stylesheet might not be printing out valid iso-8859-1
encoding for the registered trademark.

Comment 3 Tammy Fox 2003-02-19 21:46:25 UTC
I have changed it to produce &reg;, &copy;, and &trade; in the HTML files which
are supposed to work regardless of charset. I changed the encoding of Mozilla
and it seems to work.

Comment 4 Sandra Moore 2003-04-24 19:22:44 UTC
The left-handed mouse information has been updated and will be made available in
the next version of the manual.

The text has been changed to:
To configure your mouse to work as a left-handed mouse, reset the order of the
mouse buttons. To do this, after you have booted the system, go to the Main Menu
Button (on the Panel) =>  Preferences  => Mouse.

Thanks for the feedback.


Note You need to log in before you can comment on or make changes to this bug.